Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network245.77.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
245.77.0.0
Broadcast address
245.77.31.255
First usable
245.77.0.1
Last usable
245.77.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F54D0000 · Integer 4115464192 to 4115472383
Reverse DNS zones
0.77.245.in-addr.arpa
1.77.245.in-addr.arpa
2.77.245.in-addr.arpa
3.77.245.in-addr.arpa
4.77.245.in-addr.arpa
5.77.245.in-addr.arpa
6.77.245.in-addr.arpa
7.77.245.in-addr.arpa
8.77.245.in-addr.arpa
9.77.245.in-addr.arpa
10.77.245.in-addr.arpa
11.77.245.in-addr.arpa
12.77.245.in-addr.arpa
13.77.245.in-addr.arpa
14.77.245.in-addr.arpa
15.77.245.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110101.01001101.00000000.00000000245.77.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11110101.01001101.00000000.00000000245.77.0.0
Broadcast11110101.01001101.00011111.11111111245.77.31.255
Split into smaller subnets/26

245.77.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1245.77.0.0/26245.77.0.1 to 245.77.0.62245.77.0.6362
2245.77.0.64/26245.77.0.65 to 245.77.0.126245.77.0.12762
3245.77.0.128/26245.77.0.129 to 245.77.0.190245.77.0.19162
4245.77.0.192/26245.77.0.193 to 245.77.0.254245.77.0.25562
5245.77.1.0/26245.77.1.1 to 245.77.1.62245.77.1.6362
6245.77.1.64/26245.77.1.65 to 245.77.1.126245.77.1.12762
7245.77.1.128/26245.77.1.129 to 245.77.1.190245.77.1.19162
8245.77.1.192/26245.77.1.193 to 245.77.1.254245.77.1.25562
9245.77.2.0/26245.77.2.1 to 245.77.2.62245.77.2.6362
10245.77.2.64/26245.77.2.65 to 245.77.2.126245.77.2.12762
11245.77.2.128/26245.77.2.129 to 245.77.2.190245.77.2.19162
12245.77.2.192/26245.77.2.193 to 245.77.2.254245.77.2.25562
13245.77.3.0/26245.77.3.1 to 245.77.3.62245.77.3.6362
14245.77.3.64/26245.77.3.65 to 245.77.3.126245.77.3.12762
15245.77.3.128/26245.77.3.129 to 245.77.3.190245.77.3.19162
16245.77.3.192/26245.77.3.193 to 245.77.3.254245.77.3.25562
17245.77.4.0/26245.77.4.1 to 245.77.4.62245.77.4.6362
18245.77.4.64/26245.77.4.65 to 245.77.4.126245.77.4.12762
19245.77.4.128/26245.77.4.129 to 245.77.4.190245.77.4.19162
20245.77.4.192/26245.77.4.193 to 245.77.4.254245.77.4.25562
21245.77.5.0/26245.77.5.1 to 245.77.5.62245.77.5.6362
22245.77.5.64/26245.77.5.65 to 245.77.5.126245.77.5.12762
23245.77.5.128/26245.77.5.129 to 245.77.5.190245.77.5.19162
24245.77.5.192/26245.77.5.193 to 245.77.5.254245.77.5.25562
25245.77.6.0/26245.77.6.1 to 245.77.6.62245.77.6.6362
26245.77.6.64/26245.77.6.65 to 245.77.6.126245.77.6.12762
27245.77.6.128/26245.77.6.129 to 245.77.6.190245.77.6.19162
28245.77.6.192/26245.77.6.193 to 245.77.6.254245.77.6.25562
29245.77.7.0/26245.77.7.1 to 245.77.7.62245.77.7.6362
30245.77.7.64/26245.77.7.65 to 245.77.7.126245.77.7.12762
31245.77.7.128/26245.77.7.129 to 245.77.7.190245.77.7.19162
32245.77.7.192/26245.77.7.193 to 245.77.7.254245.77.7.25562
33245.77.8.0/26245.77.8.1 to 245.77.8.62245.77.8.6362
34245.77.8.64/26245.77.8.65 to 245.77.8.126245.77.8.12762
35245.77.8.128/26245.77.8.129 to 245.77.8.190245.77.8.19162
36245.77.8.192/26245.77.8.193 to 245.77.8.254245.77.8.25562
37245.77.9.0/26245.77.9.1 to 245.77.9.62245.77.9.6362
38245.77.9.64/26245.77.9.65 to 245.77.9.126245.77.9.12762
39245.77.9.128/26245.77.9.129 to 245.77.9.190245.77.9.19162
40245.77.9.192/26245.77.9.193 to 245.77.9.254245.77.9.25562
41245.77.10.0/26245.77.10.1 to 245.77.10.62245.77.10.6362
42245.77.10.64/26245.77.10.65 to 245.77.10.126245.77.10.12762
43245.77.10.128/26245.77.10.129 to 245.77.10.190245.77.10.19162
44245.77.10.192/26245.77.10.193 to 245.77.10.254245.77.10.25562
45245.77.11.0/26245.77.11.1 to 245.77.11.62245.77.11.6362
46245.77.11.64/26245.77.11.65 to 245.77.11.126245.77.11.12762
47245.77.11.128/26245.77.11.129 to 245.77.11.190245.77.11.19162
48245.77.11.192/26245.77.11.193 to 245.77.11.254245.77.11.25562
49245.77.12.0/26245.77.12.1 to 245.77.12.62245.77.12.6362
50245.77.12.64/26245.77.12.65 to 245.77.12.126245.77.12.12762
51245.77.12.128/26245.77.12.129 to 245.77.12.190245.77.12.19162
52245.77.12.192/26245.77.12.193 to 245.77.12.254245.77.12.25562
53245.77.13.0/26245.77.13.1 to 245.77.13.62245.77.13.6362
54245.77.13.64/26245.77.13.65 to 245.77.13.126245.77.13.12762
55245.77.13.128/26245.77.13.129 to 245.77.13.190245.77.13.19162
56245.77.13.192/26245.77.13.193 to 245.77.13.254245.77.13.25562
57245.77.14.0/26245.77.14.1 to 245.77.14.62245.77.14.6362
58245.77.14.64/26245.77.14.65 to 245.77.14.126245.77.14.12762
59245.77.14.128/26245.77.14.129 to 245.77.14.190245.77.14.19162
60245.77.14.192/26245.77.14.193 to 245.77.14.254245.77.14.25562
61245.77.15.0/26245.77.15.1 to 245.77.15.62245.77.15.6362
62245.77.15.64/26245.77.15.65 to 245.77.15.126245.77.15.12762
63245.77.15.128/26245.77.15.129 to 245.77.15.190245.77.15.19162
64245.77.15.192/26245.77.15.193 to 245.77.15.254245.77.15.25562
65245.77.16.0/26245.77.16.1 to 245.77.16.62245.77.16.6362
66245.77.16.64/26245.77.16.65 to 245.77.16.126245.77.16.12762
67245.77.16.128/26245.77.16.129 to 245.77.16.190245.77.16.19162
68245.77.16.192/26245.77.16.193 to 245.77.16.254245.77.16.25562
69245.77.17.0/26245.77.17.1 to 245.77.17.62245.77.17.6362
70245.77.17.64/26245.77.17.65 to 245.77.17.126245.77.17.12762
71245.77.17.128/26245.77.17.129 to 245.77.17.190245.77.17.19162
72245.77.17.192/26245.77.17.193 to 245.77.17.254245.77.17.25562
73245.77.18.0/26245.77.18.1 to 245.77.18.62245.77.18.6362
74245.77.18.64/26245.77.18.65 to 245.77.18.126245.77.18.12762
75245.77.18.128/26245.77.18.129 to 245.77.18.190245.77.18.19162
76245.77.18.192/26245.77.18.193 to 245.77.18.254245.77.18.25562
77245.77.19.0/26245.77.19.1 to 245.77.19.62245.77.19.6362
78245.77.19.64/26245.77.19.65 to 245.77.19.126245.77.19.12762
79245.77.19.128/26245.77.19.129 to 245.77.19.190245.77.19.19162
80245.77.19.192/26245.77.19.193 to 245.77.19.254245.77.19.25562
81245.77.20.0/26245.77.20.1 to 245.77.20.62245.77.20.6362
82245.77.20.64/26245.77.20.65 to 245.77.20.126245.77.20.12762
83245.77.20.128/26245.77.20.129 to 245.77.20.190245.77.20.19162
84245.77.20.192/26245.77.20.193 to 245.77.20.254245.77.20.25562
85245.77.21.0/26245.77.21.1 to 245.77.21.62245.77.21.6362
86245.77.21.64/26245.77.21.65 to 245.77.21.126245.77.21.12762
87245.77.21.128/26245.77.21.129 to 245.77.21.190245.77.21.19162
88245.77.21.192/26245.77.21.193 to 245.77.21.254245.77.21.25562
89245.77.22.0/26245.77.22.1 to 245.77.22.62245.77.22.6362
90245.77.22.64/26245.77.22.65 to 245.77.22.126245.77.22.12762
91245.77.22.128/26245.77.22.129 to 245.77.22.190245.77.22.19162
92245.77.22.192/26245.77.22.193 to 245.77.22.254245.77.22.25562
93245.77.23.0/26245.77.23.1 to 245.77.23.62245.77.23.6362
94245.77.23.64/26245.77.23.65 to 245.77.23.126245.77.23.12762
95245.77.23.128/26245.77.23.129 to 245.77.23.190245.77.23.19162
96245.77.23.192/26245.77.23.193 to 245.77.23.254245.77.23.25562
97245.77.24.0/26245.77.24.1 to 245.77.24.62245.77.24.6362
98245.77.24.64/26245.77.24.65 to 245.77.24.126245.77.24.12762
99245.77.24.128/26245.77.24.129 to 245.77.24.190245.77.24.19162
100245.77.24.192/26245.77.24.193 to 245.77.24.254245.77.24.25562
101245.77.25.0/26245.77.25.1 to 245.77.25.62245.77.25.6362
102245.77.25.64/26245.77.25.65 to 245.77.25.126245.77.25.12762
103245.77.25.128/26245.77.25.129 to 245.77.25.190245.77.25.19162
104245.77.25.192/26245.77.25.193 to 245.77.25.254245.77.25.25562
105245.77.26.0/26245.77.26.1 to 245.77.26.62245.77.26.6362
106245.77.26.64/26245.77.26.65 to 245.77.26.126245.77.26.12762
107245.77.26.128/26245.77.26.129 to 245.77.26.190245.77.26.19162
108245.77.26.192/26245.77.26.193 to 245.77.26.254245.77.26.25562
109245.77.27.0/26245.77.27.1 to 245.77.27.62245.77.27.6362
110245.77.27.64/26245.77.27.65 to 245.77.27.126245.77.27.12762
111245.77.27.128/26245.77.27.129 to 245.77.27.190245.77.27.19162
112245.77.27.192/26245.77.27.193 to 245.77.27.254245.77.27.25562
113245.77.28.0/26245.77.28.1 to 245.77.28.62245.77.28.6362
114245.77.28.64/26245.77.28.65 to 245.77.28.126245.77.28.12762
115245.77.28.128/26245.77.28.129 to 245.77.28.190245.77.28.19162
116245.77.28.192/26245.77.28.193 to 245.77.28.254245.77.28.25562
117245.77.29.0/26245.77.29.1 to 245.77.29.62245.77.29.6362
118245.77.29.64/26245.77.29.65 to 245.77.29.126245.77.29.12762
119245.77.29.128/26245.77.29.129 to 245.77.29.190245.77.29.19162
120245.77.29.192/26245.77.29.193 to 245.77.29.254245.77.29.25562
121245.77.30.0/26245.77.30.1 to 245.77.30.62245.77.30.6362
122245.77.30.64/26245.77.30.65 to 245.77.30.126245.77.30.12762
123245.77.30.128/26245.77.30.129 to 245.77.30.190245.77.30.19162
124245.77.30.192/26245.77.30.193 to 245.77.30.254245.77.30.25562
125245.77.31.0/26245.77.31.1 to 245.77.31.62245.77.31.6362
126245.77.31.64/26245.77.31.65 to 245.77.31.126245.77.31.12762
127245.77.31.128/26245.77.31.129 to 245.77.31.190245.77.31.19162
128245.77.31.192/26245.77.31.193 to 245.77.31.254245.77.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses